%define origversion 2.0-16
%define origname    libsafe

Summary:   Libsafe: Protecting Critical Elements of Stacks
Name:      libsafe-prelude
Version:   2.0.16
Release:   alt3.1
Copyright: LGPL
Group:     System/Libraries
URL:       http://www.research.avayalabs.com/project/libsafe/index.html
Conflicts: libsafe

Source:    http://www.research.avayalabs.com/project/libsafe/%{origname}-%{origversion}.tgz

# Automatically added by buildreq on Thu May 13 2004
BuildRequires: libprelude-devel libssl-devel

%description
The libsafe library protects a process against the exploitation of
buffer overflow vulnerabilities in process stacks. Libsafe works with
any existing pre-compiled executable and can be used transparently,
even on a system-wide basis. The method intercepts all calls to
library functions that are known to be vulnerable. A substitute
version of the corresponding function implements the original
functionality, but in a manner that ensures that any buffer overflows
are contained within the current stack frame. Libsafe has been shown
to detect several known attacks and can potentially prevent yet
unknown attacks. Experiments indicate that the performance overhead of
libsafe is negligible.

If libsafe is compiled on a system with libprelude installed, libsafe
will additionally emit a stack overflow alert to the Prelude Manager.
For more information about the Prelude Hybrid IDS, please see
http://www.prelude-ids.org

This package build with libprelude support.

%description -l ru_RU.KOI8-R
 libsafe     
   . Libsafe   
     , 
 .     
  .   
     , 
,       
   . Libsafe    
       
 .   ,   libsafe
   .

 libsafe      
libprelude,      
   Prelude.    
 Prelude Hybrid IDS,  http://www.prelude-ids.org

,   ,   
%_defaultdocdir/%name-%version

     libprelude.

%description -l uk_UA.KOI8-U
̦ libsafe    Ԧ 
   . Libsafe   - Ц
   դ ,  ҦΦ
. ̦ դ  Ӧ צ 
¦̦ æ. ͦ צצϧ æ դ Ǧ
æΦ  Ԧ Φ,  դ,  -˦
 Ҧ  ͦΦ    
. Libsafe      צ 
  æ  צͦ.  , 
 libsafe    ˦  .

 libsafe Ц  ͦ ڦ  ¦̦
libprelude, צ   ̦   
  Prelude.  ¦ ϧ æ  Prelude
Hybrid IDS,  http://www.prelude-ids.org

-,   æ,  ͦ 
%_defaultdocdir/%name-%version

  ڦ  Ц libprelude.

%prep
%setup -q -n %origname-%origversion

%build
%make

%install
%__mkdir_p $RPM_BUILD_ROOT/%_lib
%__mkdir_p $RPM_BUILD_ROOT/%_man8dir
%__install -m 755 src/%origname.so.%version $RPM_BUILD_ROOT/%_lib/
%__install -m 644 doc/%origname.8 $RPM_BUILD_ROOT/%_man8dir/
pushd $RPM_BUILD_ROOT/%_lib
%__ln_s -f %origname.so.%version %origname.so.2
popd

%files
%doc README EMAIL_NOTIFICATION LIBPRELUDE COPYING ChangeLog INSTALL doc exploits
/%_lib/%origname.so.2
/%_lib/%origname.so.%version
%_man8dir/%{origname}*

%post
if [ -f %_sysconfdir/ld.so.preload ]; then
    tmpfile=`mktemp -t %origname.XXXXXX` || exit 1
    if %__grep -q %origname %_sysconfdir/ld.so.preload 2>/dev/null; then
        /bin/echo "Updating path to %origname in %_sysconfdir/ld.so.preload"
        %__cp %_sysconfdir/ld.so.preload $tmpfile
        %__grep -v %origname $tmpfile > %_sysconfdir/ld.so.preload
        /bin/echo %_lib/%origname.so.2 >> %_sysconfdir/ld.so.preload
    fi
    %__rm -f $tmpfile
fi
%post_ldconfig_sys

%preun
if [ -f %_sysconfdir/ld.so.preload ]; then
    tmpfile=`mktemp -t %origname.XXXXXX` || exit 1
    if %__grep -q %origname %_sysconfdir/ld.so.preload 2>/dev/null; then
        /bin/echo "Removing %origname from %_sysconfdir/ld.so.preload"
        %__cp %_sysconfdir/ld.so.preload $tmpfile
        %__grep -v %origname $tmpfile > %_sysconfdir/ld.so.preload
    fi
    %__rm -f $tmpfile
fi

%postun
%postun_ldconfig

%changelog
* Thu May 13 2004 Serge A. Volkov <vserge@altlinux.ru> 2.0.16-alt3.1
- Rebuild with openssl-0.9.7d

* Tue Nov 04 2003 Serhii Hlodin <hlodin@altlinux.ru> 2.0.16-alt2
- Minor fixed in spec

* Sun May 18 2003 Serhii Hlodin <hlodin@altlinux.ru> 2.0.16-alt1
- Initial build based on original spec-file

